@import "../../sass/imports";

$black: #333333;

// Modifying the standard hd-panel to float above the backdrop
.hd-panel {
    position: relative;
    z-index: 1;
}

/deep/ .portraitEditModal .modal-dialog {
    //width: 700px!important; //make portraitEdit slightly wider to accomodate cropper tool
}

/deep/ .basics-edit-modal {
    max-width: 400px;
}

.valign {
    display:flex;
    align-items:center;
}

/deep/ .editable-text {
    cursor:pointer;
    color:$black;
    &:hover {color:lighten($black, 30%);}
    @include transition(color, 200ms);
}

/deep/ .editable-panel {
    cursor:pointer;
    background-color:#f8fdff;
    @include transition(color, 200ms);

    &:hover {background-color:#FFF}
}

/deep/ .editable {
    cursor: pointer;

    &:hover {
        border: 1px dashed #ccc;
        //padding: 5px 5px;
    }
}

/deep/ .first-editable {
    border: 1px dashed #ccc;
    cursor: pointer;
    padding: 10px 10px;
}


h1 {
    font-size: 36px;
    font-weight: 100;
    margin-top: 0em;
    margin-bottom: 0.5em;
}

/deep/ h2 {
    color: black;
    font-size: 18px;
    font-weight: 300;
    margin: 10px 0;
}

/deep/ p {
    font-size: 16px;
}

/deep/ span {
    font-weight: 600;
    font-size: 20px;
}

.profile-basic {
    margin: 16px 0 0;

    .key-skills {
        border-top: 1px solid #ccc;
        margin-top: 15px;
        margin-bottom: 15px;
        position: relative;

        .skill-tags {
            margin-left: -5px;
        }
    }
}

.profile-portrait-img {
    border-radius: 50%;
    cursor: pointer;
    height: 100%;
    margin: 10px auto;
    max-height: 200px;
    max-width: 200px;
    overflow: hidden;
    width: 100%;

    img {
        height: 100%;
        width:100%;
    }
}